#import "~/graphql_shared/fragments/pageInfo.fragment.graphql"
#import "~/issues_list/queries/issue.fragment.graphql"

query getProjectIssues(
  $isSignedIn: Boolean = false
  $projectPath: ID!
  $search: String
  $sort: IssueSort
  $state: IssuableState
  $assigneeId: String
  $assigneeUsernames: [String!]
  $authorUsername: String
  $labelName: [String]
  $milestoneTitle: [String]
  $epicId: String
  $iterationId: [ID]
  $iterationWildcardId: IterationWildcardId
  $weight: String
  $not: NegatedIssueFilterInput
  $beforeCursor: String
  $afterCursor: String
  $firstPageSize: Int
  $lastPageSize: Int
) {
  project(fullPath: $projectPath) {
    issues(
      search: $search
      sort: $sort
      state: $state
      assigneeId: $assigneeId
      assigneeUsernames: $assigneeUsernames
      authorUsername: $authorUsername
      labelName: $labelName
      milestoneTitle: $milestoneTitle
      epicId: $epicId
      iterationId: $iterationId
      iterationWildcardId: $iterationWildcardId
      weight: $weight
      not: $not
      before: $beforeCursor
      after: $afterCursor
      first: $firstPageSize
      last: $lastPageSize
    ) {
      pageInfo {
        ...PageInfo
      }
      nodes {
        ...IssueFragment
        blockedByCount
        healthStatus
        weight
      }
    }
  }
}
